Subject: Re: bug#9823: request for more correct error reporting of mv

From: Eric Blake <[email-masked]>
Date: Mon, 24 Oct 2011 11:50:26 -0600

[once again, adding the list, so your reply isn't lost]

On 10/24/2011 10:47 AM, [email-masked] wrote:
>>> This is the problem I want to address. Would it not be possible
>>> to add to the error image the following message: "Dir b/a already
>>> exists" or something similar making the real problem clear right
>>> from the start?
>>
>> Like I said earlier, POSIX allows either ENOTEMPTY or EEXIST, and
>> Linux
>> happened to choose ENOTEMPTY.  Maybe special-casing that error and
>> converting to EEXIST would produce better output.  But someone would
>> have to submit a patch.
>
> Sorry, I can't submit a patch, it's beyond my capabilities.
> I have submitted the problem, and consider my job done.
>
> Thanks for the reply,
>
> Best regards,
>
> Francky

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org